Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.soa.esb.notification
Class NotifyTcp

    java.lang.Object
      org.jboss.soa.esb.notification.NotificationTarget
          org.jboss.soa.esb.notification.NotifyTcp

    public class NotifyTcp

extends NotificationTarget

Send message via TCP. Each connection is maintained only for the duration of the notification.

Field Summary
`static java.lang.String` | `ATT_URI` The URI for the destination (socket://host:port)
`static int` | `DEFAULT_PORT`
`static java.lang.String` | `DESTINATIONS_TAG`
`static java.lang.String` | `PROTOCOL_TAG`

Fields inherited from class org.jboss.soa.esb.notification.NotificationTarget
`m_oParms, PRM_NOTIF_CLASS`

Constructor Summary
`NotifyTcp(ConfigTree configTree)` Instantiate a NotifyFiles object according to contents of <arg 1>

Method Summary
`protected void` | `objectNotification(java.io.ObjectOutputStream sender, java.lang.Object p_o)`
`void` | `sendNotification(Message message)` Sends the result of the message to each of the destinations.
`protected void` | `stringNotification(java.io.OutputStream sender, java.lang.String p_s)`

Methods inherited from class org.jboss.soa.esb.notification.NotificationTarget
`fromParams`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DESTINATIONS_TAG

    public static final java.lang.String DESTINATIONS_TAG

See Also:
  Constant Field Values

### ATT_URI

    public static final java.lang.String ATT_URI

  The URI for the destination (socket://host:port)

  See Also:
    Constant Field Values

### PROTOCOL_TAG

    public static final java.lang.String PROTOCOL_TAG

See Also:
  Constant Field Values

### DEFAULT_PORT

    public static final int DEFAULT_PORT

See Also:
  Constant Field Values

Constructor Detail

### NotifyTcp

    public NotifyTcp(ConfigTree configTree)

  Instantiate a NotifyFiles object according to contents of <arg 1>

  Parameters:
    `configTree` - ConfigTree - Should contain a nonempty set of child elements with elementName="file". Each child element must have a "URI" attribute and optionally a "append" element

Method Detail

### sendNotification

    public void sendNotification(Message message)
                          throws NotificationException

  Sends the result of the message to each of the destinations.

  Specified by:
    `sendNotification` in class `NotificationTarget`
  Parameters:
    `message` - Object - The toString() method of this object will be the actual notification content
  Throws:
    `NotificationException` - - invoke Exception.getMessage() at runtime for this object
  See Also:
    `ConfigTree`

### stringNotification

    protected void stringNotification(java.io.OutputStream sender,
                                      java.lang.String p_s)
                               throws java.io.IOException

  Throws:
    `java.io.IOException`

### objectNotification

    protected void objectNotification(java.io.ObjectOutputStream sender,
                                      java.lang.Object p_o)
                               throws java.io.IOException

  Throws:
    `java.io.IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD